<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pagename='hwaGraph.php';
$SITE['wsModules'][$pagename] = 'version 1.21 2013-01-29';
#  check to see this is the real script
$pfile = basename(__FILE__);
if ($pfile <> $pagename) {
	$SITE['wsModules'][$pfile]	= 'this file loaded instead of '.$pagename;
}
echo '<!-- module '.$pfile.' ==== '.$SITE['wsModules'][$pfile]." -->\n";
#-------------------------------------------------------------------------------
# first we have to set the number of dayparts we want to use
$cntMax 	= 10;
#
# housekeeping
$start 	= $n = 1;
$end	= count($returnArray['forecast']);
#
while (1 <> 2) {						// what color should the first colom be light = daytime dark = night time
	if (isset($returnArray['forecast'][$n]['iconL']) && $returnArray['forecast'][$n]['timestamp'] >= time()) {
		$start = $n;					// first row of input which contains correct AND current data
		if ($returnArray['forecast'][$n]['part'] == 'daytime' ) {
			$first = ''; $second = 'row-dark';
		} else {
			$first = 'row-dark';  $second = '';
		}
		$n++;
		break;
	}	// eo search first valid forecast
	if ($n < $end) {$n++;} else {echo '<h3>Invalid or outdated file, program halted</h3>'; exit;}
}
$snow	= false;		// are their chances of snow
$thunder= false;		// and thunder
$n		= 1;			// nr of found array rows to print in colom output
#
# We are going to store all required fields in an extra array because input is row per timepart, output is colom per timepart
#
for ($i = $start; $i < $end; $i++) { 
	if (isset($returnArray['forecast'][$i]['iconL'])) {			// valid 12 hours forecast
		$arr = $returnArray['forecast'][$i];
		if ($arr['thunderChance'] > 0)	{$thunder	= true;}	// then we have to print line with cahnce of thunder
		if ($arr['snowChance'] > 0) 	{$snow		= true;}	// then we have to print line with chance of snow 
# store all fields
		$arrTimes[$n]	= $arr['timestamp'];
		$notUsed = '';	$iconOut='';	$iconUrlOut = '';
		wsChangeIcon ('hwa',$arr['iconL'], $iconOut, $arr['iconUrlL'], $iconUrlOut, $notUsed);
		$arrIcons[$n]	= $iconUrlOut;
		$arrDesc[$n]	= langtransstr($arr['weatherDesc']);
		$arrTemp[$n]	= $arr['tempLowNU'].$arr['tempHighNU'];
		if ($arr['rainChance'] 		== 0) {$arrCoR[$n]	= '-';}  else {$arrCoR[$n] = $arr['rainChance'];}
		if ($arrCoR[$n] == '-') {
			$arrRain[$n]	= '-';
		} else {
			$arrRain[$n]	= sprintf ("%01.1f",$arr['rainNUL']);
		}
		if ($arr['thunderChance'] 	== 0) {$arrCoT[$n]	= '-';}  else {$arrCoT[$n] = $arr['thunderChance'];}
		if ($arr['snowChance'] 		== 0) {$arrCoS[$n]	= '-';}  else {$arrCoS[$n] = $arr['snowChance'];}
		$arrWindD[$n]	= $SITE['hwaIconsDir'].$arr['windDirIcon'].'.png';
		$arrWindS[$n]	= $arr['windSpeedNUL'];
		$arrBaro[$n]	= $arr['baroNU'];
		if ($n < $cntMax) {$n++;} else {break;} // max nr of coloms found
	}
}
if ($n < $cntMax) {$cntMax = $n - 1;}
$cntMax 	= floor($cntMax / 2) * 2;
$widthCol	= 1 + $cntMax*3;
?>
<table class="verwachting" style=" border: none; width: 100%;">
<tbody>
<tr class="trLow" ><td colspan="<?php echo $widthCol.'">' ?>&nbsp;</td</tr>
<tr class="tijd" >
<?php
echo '<td >'.PHP_EOL;
$unixTime = $returnArray['request_info'][1]['timestamp'];
echo  langtransstr('Forecast generated').'<br />'.date($SITE['timeFormat'] , $unixTime).'</td>';
#	
$odd	=false;
$n 		= $start;
for ($i = 1; $i <= $cntMax; $i++) {
# date time head
	if ($odd == true) {$odd = false; continue;} else {$odd = true;}	
	$unixTime = $arrTimes[$i];	
	echo '
<td class="dagNaam row-dark" colspan="2">'.langtransstr(date('l', $unixTime)).'<br /><span class="dmj">'.date($SITE['dateOnlyFormat'], $unixTime).'</span></td>
<td style="width: 6px;"></td>';	
}
?>
</tr>
<tr class="table-top stationnaam ">
<td  colspan="<?php echo $widthCol.'"> '.$SITE['organ']; ?></td>
</tr>
<tr class="stationurl ajaxHead">
<td colspan="<?php echo $widthCol.'"> '.$SITE['siteUrl']; ?></td>
</tr>
<tr class="toelichting">
<td ><?php langtrans('weather'); ?></td>
<?php
$odd = false;
$n = $start;
$notFound = true;
for ($i = 1; $i <= $cntMax; $i++) {
	$iconUrlOut = $arrIcons[$i];
	$weatherDesc= $arrDesc[$i];
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden  '.$first.'"><img src="'.$iconUrlOut.'" alt ="'.$weatherDesc.'" title="'.$weatherDesc.'"/></td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden '.$second.'"><img src="'.$iconUrlOut.'" alt ="'.$weatherDesc.'" title="'.$weatherDesc.'"/></td>';
		echo '<td></td>'.PHP_EOL;
	}
}
?>
</tr> 
<tr class="toelichting">
<?php 
echo '<td>'.PHP_EOL;

if ($first <> '') {$tekst = 'min/max'; } else {$tekst = 'max/min';}
echo langtransstr('temperature'). ' '.langtransstr($tekst).'<br />('.$SITE['uomTemp'].')</td>'.PHP_EOL;
$odd = false;
$n = $start;
$notFound = true;
for ($i = 1; $i <= $cntMax; $i++) {
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden '.$first.'">'.$arrTemp[$i].'</td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden '.$second.'">'.$arrTemp[$i].'</td>';
		echo '<td></td>'.PHP_EOL;
	}
}
?>
</tr>
<tr class="toelichting">
<td ><?php langtrans('chance of rain'); ?> (%)</td>
<?php
$odd = false;
for ($i = 1; $i <= $cntMax; $i++) {
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden  '.$first.'">'.$arrCoR[$i].'</td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden  '.$second.'">'.$arrCoR[$i].'</td>';
		echo '<td></td>'.PHP_EOL;
	}
}
?>
</tr>
<tr class="toelichting">
<td ><?php echo langtransstr('amount of rain').'<br />('.trim($SITE['uomRain']).')'; ?></td>
<?php
$odd = false;
$n = $start;
$notFound = true;
for ($i = 1; $i <= $cntMax; $i++) {
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden '.$first.'">'.$arrRain[$i].'</td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden '.$second.'">'.$arrRain[$i].'</td>';
		echo '<td></td>'.PHP_EOL;
	}
}
?>
</tr>
<?php
if ($thunder == true) {
?>
<tr class="toelichting">
<td ><?php echo langtransstr('chance of Thunder'); ?><br />(%)</td>
	<?php
	$odd = false;
		for ($i = 1; $i <= $cntMax; $i++) {
			if ($odd == false) {
				$odd = true;	    
				echo '<td class="lwaarden '.$first.'">'.$arrCoT[$i].'</td>';			
			} else {
				$odd = false;	
				echo '<td class="rwaarden '.$second.'">'.$arrCoT[$i].'</td>';
				echo '<td></td>'.PHP_EOL;
			}
		}
	?>
</tr>
<?php
} 
if ($snow == true) {
?>
<tr class="toelichting">
<td ><?php echo langtransstr('chance of Snow'); ?><br />(%)</td>
<?php
		$odd = false;
		for ($i = 1; $i <= $cntMax; $i++) {
			if ($odd == false) {
				$odd = true;	    
				echo '<td class="lwaarden '.$first.'">'.$arrCoS[$i].'</td>';			
			} else {
				$odd = false;	
				echo '<td class="rwaarden '.$second.'">'.$arrCoS[$i].'</td>';
				echo '<td></td>'.PHP_EOL;
			}
		}
?>
</tr>
<?php
} 
?><tr class="toelichting">
<td ><?php echo langtransstr('pressure ').'<br />('.trim($SITE['uomBaro']).')'; ?></td>
<?php
$odd = false;
$n = $start;
$notFound = true;
for ($i = 1; $i <= $cntMax; $i++) {
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden '.$first.'">'.$arrBaro[$i].'</td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden '.$second.'">'.$arrBaro[$i].'</td>';	
		echo '<td></td>'.PHP_EOL;
	}
}
?>  
</tr>
<tr class="toelichting">
<?php echo '<td>'.langtransstr('wind direction').'<br />'.langtransstr('and force').'<br />(Bft)</td>'.PHP_EOL;
$odd = false;
$n = $start;
$notFound = true;
for ($i = 1; $i <= $cntMax; $i++) {
	if ($odd == false) {
		$odd = true;	    
		echo '<td class="lwaarden '.$first.'" style = "border-bottom-width: 1px;"><img src="'.$arrWindD[$i].'" alt="" /><br />'.$arrWindS[$i].'</td>';			
	} else {
		$odd = false;	
		echo '<td class="rwaarden '.$second.'" style = "border-bottom-width: 1px;"><img src="'.$arrWindD[$i].'" alt="" /><br />'.$arrWindS[$i].'</td>';	
		echo '<td></td>'.PHP_EOL;
	}
}
?>  
</tr>
<tr>
<td class="samenwerking" colspan="<?php echo $widthCol.'">' ?><a class="samenwerking" href="http://www.hetweeractueel.nl/" target="_blank">Samenwerking MeteoConsult/Hetweeractueel.nl</a></td><td colspan="2"></td>
</tr>
<tr class="trLow">
<td colspan="99" height="3"></td>
</tr>
</tbody></table>